Bug 812650 - Review Request: flyingsaucer - XML/XHTML and CSS 2.1 renderer in pure Java
Review Request: flyingsaucer - XML/XHTML and CSS 2.1 renderer in pure Java
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mohamed El Morabity
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-15 14:15 EDT by gil cattaneo
Modified: 2012-06-15 20:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-15 20:02:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pikachu.2014: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-04-15 14:15:48 EDT
Spec URL: http://gil.fedorapeople.org/flyingsaucer.spec
SRPM URL: http://gil.fedorapeople.org/flyingsaucer-R8-1.fc16.src.rpm
Description: An XML/XHTML CSS 2.1 Renderer library in pure Java
for rendering to PDF, images, and Swing panels.

(see http://java.net/projects/xhtmlrenderer)
Comment 1 Mohamed El Morabity 2012-05-21 08:26:34 EDT
Hello,

I will review your package, since I need it.

Some comments:

- some rpmlint issues (I dropped the non-significative ones):
    flyingsaucer-javadoc.noarch: W: file-not-utf8 /usr/share/doc/flyingsaucer-javadoc-R8/LICENSE-W3C-TEST
    flyingsaucer-demos.noarch: W: file-not-utf8 /usr/share/doc/flyingsaucer-demos-R8/LICENSE-W3C-TEST
    >> See https://fedoraproject.org/wiki/PackageMaintainers/Packaging_Tricks#Convert_encoding_to_UTF-8

    flyingsaucer-demos.noarch: W: summary-not-capitalized C flyingsaucer demos

    flyingsaucer-demos.noarch: W: class-path-in-manifest /usr/share/java/flyingsaucer/docbook.jar
    flyingsaucer-demos.noarch: W: class-path-in-manifest /usr/share/java/flyingsaucer/aboutbox.jar
    flyingsaucer-demos.noarch: W: class-path-in-manifest /usr/share/java/flyingsaucer/svg.jar
    flyingsaucer-demos.noarch: W: class-path-in-manifest /usr/share/java/flyingsaucer/browser.jar
    >> See https://fedoraproject.org/wiki/Packaging:Java#class-path-in-manifest

- xml-commons-apis is already required by ant, you could drop it from the BuildRequires.

- The patches are OK for me. But you don't need to modify etc/build/properties.xml (see flyingsaucer-R8-build.patch) to detect itext, svgsalamander and xml-commons-apis if you put them in the CLASSPATH before building:
    %build
    export CLASSPATH=$(build-classpath itext xml-commons-apis svgsalamander)
    ant jar docs

- I don't think « R8 » is a good version tag. Setting it simply to « 8 » may be enough (« R » is probably for « release »).

- The Provides tag on xhtmlrenderer is an excellent idea, as well as providing the link xhtmlrenderer.jar. You should anyway put it in %{buildroot}%{_javadocdir}/%{name}, with the other JARs, to comply with the guidelines:
    https://fedoraproject.org/wiki/Packaging:Java#Installation_directory
Comment 2 gil cattaneo 2012-05-21 20:29:29 EDT
Spec URL: http://gil.fedorapeople.org/flyingsaucer/1/flyingsaucer.spec
SRPM URL: http://gil.fedorapeople.org/flyingsaucer/1/flyingsaucer-8-2.fc16.src.rpm
- moved xhtmlrenderer link jar file in %%{_javadir}/flyingsaucer subdirectory
- fix files with wrong encoding
- fix version tag
- removed classpath from manifest

i dont want to use: export CLASSPATH=....

thanks

tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=4093089
Comment 3 Mohamed El Morabity 2012-06-06 03:27:50 EDT
Sorry for the laste answer. Here is the review:


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint flyingsaucer-8-2.fc18.noarch.rpm

flyingsaucer.noarch: W: spelling-error Summary(en_US) renderer -> tenderer, rendered, render er
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

rpmlint flyingsaucer-8-2.fc18.src.rpm

flyingsaucer.src: W: spelling-error Summary(en_US) renderer -> tenderer, rendered, render er
flyingsaucer.src: W: invalid-url Source0: http://flying-saucer.googlecode.com/files/flyingsaucer-R8-src.zip HTTP Error 404: Not Found
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint flyingsaucer-demos-8-2.fc18.noarch.rpm

flyingsaucer-demos.noarch: W: spelling-error Summary(en_US) Demostrations -> Demonstrations, Demonstration, Demonstratives
flyingsaucer-demos.noarch: W: spelling-error %description -l en_US demostrations -> demonstrations, demonstration, demonstratives
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint flyingsaucer-javadoc-8-2.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.
>>> spelling issues are false-positives, they can be ignored.
    Issues 


[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mohamed/812650/flyingsaucer-R8-src.zip :
  MD5SUM this package     : 157b497bcb3796ba1ba9449c534baeeb
  MD5SUM upstream package : 157b497bcb3796ba1ba9449c534baeeb
/home/mohamed/812650/core-renderer-R8.pom :
  MD5SUM this package     : 84db32d81e74d09f0b0c23c3b1818534
  MD5SUM upstream package : d41d8cd98f00b204e9800998ecf8427e
>>> I see no difference between these two files, this warning can ignored

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[ ]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[ ]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source1: http://repo1.maven.org/maven2/org/xhtmlrenderer/core-
     renderer/R%{version}/core-renderer-R%{version}.pom (core-
     renderer-R%{version}.pom)
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[x]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[x]: MUST Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[x]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

Issues:
[!]: MUST Rpmlint output is silent.


This oackage is APPROVED.
Comment 4 gil cattaneo 2012-06-06 06:24:30 EDT
New Package SCM Request
=======================
Package Name: flyingsaucer
Short Description: XML/XHTML and CSS 2.1 renderer in pure Java
Owners: gil
Branches: f17
InitialCC: java-sig
Comment 5 Gwyn Ciesla 2012-06-06 09:19:58 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-06-06 14:40:19 EDT
flyingsaucer-8-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/flyingsaucer-8-2.fc17
Comment 7 Fedora Update System 2012-06-07 19:12:37 EDT
flyingsaucer-8-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 8 Fedora Update System 2012-06-15 20:02:13 EDT
flyingsaucer-8-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.